/*************************************************************************************************
 * Test unit for dynamic linking functions
 *************************************************************************************************/


#include <stdio.h>


/* function prototypes */
void estfilter(const char *infile, const char *outfile);


/* Filter for plain text files. */
void estfilter(const char *infile, const char *outfile){
  FILE *IN, *OUT;
  int c;
  if((IN = fopen(infile, "rb")) != NULL){
    if((OUT = fopen(outfile, "wb")) != NULL){
      fprintf(OUT, "<html><body><pre>");
      while((c = fgetc(IN)) != EOF){
        switch(c){
        case '&': fprintf(OUT, "&amp;"); break;
        case '<': fprintf(OUT, "&lt;"); break;
        case '>': fprintf(OUT, "&gt;"); break;
        default: fputc(c, OUT); break;
        }
      }
      fclose(OUT);
      fprintf(OUT, "</pre></body></html>");
    }
    fclose(IN);
  }
}



/* END OF FILE */
